import Event from './event';
interface EventListenerOptions {
    capture?: boolean;
}
interface AddEventListenerOptions extends EventListenerOptions {
    once?: boolean;
    passive?: boolean;
}
interface EventListener {
    (event: Event): void;
}
/**
 * @see {@link https://dom.spec.whatwg.org/#interface-eventtarget DOM Standard - 2.7. Interface EventTarget}
 */
export default class EventTarget {
    #private;
    constructor();
    addEventListener(type: string, listener: EventListener, options?: boolean | AddEventListenerOptions): void;
    dispatchEvent(event: Event): boolean;
    removeEventListener(type: string, listener: EventListener, options?: boolean | EventListenerOptions): void;
}
export {};
